Docs//
API reference
/- Mock funds available
Payment
Create a payment
List all payments
Create a mock payment
Retrieve a payment
Mock funds available
This API is only available in sandbox mode. Updates the funds_available status of a payment to simulate the availability of funds for testing purposes.
Security
JWT
- Production serverhttps://api.glomopay.com/api/v1/payment/{id}/mock-funds-available
curl -i -X PATCH \
https://api.glomopay.com/api/v1/payment/payt_E602dMzgjpDC/mock-funds-available \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "data": { "id": "payt_E602dMzgjpDC", "payin_id": "payin_E602dMzgjpDC", "payin_type": "payment_link", "subscription_id": "sub_68877570b5zeE", "status": "success", "compliance_status": "action_required", "rfi": { … }, "payment_currency": "AED", "payment_amount": 374580, "converted_currency": "USD", "converted_amount": 102000, "requested_currency": "USD", "requested_amount": 100000, "purpose_code": "S0001", "sender_name": "John Doe", "notes": { … }, "error_code": "PAYMENT_DECLINED", "error_description": "The payment attempt was declined. This could be due to issuer rejection, risk assessment, or restrictions on the card or account. The customer should contact their bank or try a different payment method.", "customer_error_description": "Your payment could not be completed. Please try a different payment method or contact your bank.", "paid_at": "2024-12-06T11:38:37.130Z", "fee_bearer": "customer", "fee_collection_mode": "immediate", "created_at": "2024-12-06T11:38:37.130Z", "updated_at": "2024-12-06T11:38:37.130Z", "customer_id": "cust_E602sMzgjpDC", "merchant_id": "merch_68c777fcOOMpl", "product_name": "ShieldGuard Insurance", "product_description": "Simple, monthly insurance plan that covers your basic belongings and key digital assets", "country": "Ind", "fees": { … }, "fee_breakdown": { … }, "documents": [ … ], "settlement_id": "string", "funds_available": true, "payment_method": { … }, "auto_debit?": true }, "message": "Payment funds available status updated successfully" }